Bug 824600 (CVE-2012-2921)

Summary: CVE-2012-2921 python-feedparser: DoS via memory consumption processing ENTITY declarations
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bugs.michael, jpopelka, karlthered, lmacken, louiz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120502,reported=20120523,source=debian,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/python-feedparser=affected,epel-all/python-feedparser=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-05 04:16:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 824602, 824604    
Bug Blocks:    

Description Vincent Danen 2012-05-23 15:54:29 EDT
A denial of service flaw was reported and fixed in feedparser, a module for parsing atom and RSS feeds in python.  Previously, ENTITY declarations could be used to create a denial of service through exponential memory consumption, by allowing such declarations to hide in non-ASCII-compatible encoded documents.  Feedparser now first normalizes the encoding and then replaces the DOCTYPE and ENTITY declarations.

This is corrected in upstream version 5.1.2 [1] and svn r703 [2].

[1] http://freecode.com/projects/feedparser/releases/344371
[2] https://code.google.com/p/feedparser/source/detail?r=703&path=/trunk/feedparser/feedparser.py
Comment 1 Vincent Danen 2012-05-23 15:55:42 EDT
Created python-feedparser tracking bugs for this issue

Affects: fedora-all [bug 824602]
Affects: epel-all [bug 824604]
Comment 2 Fedora Update System 2012-06-01 13:14:48 EDT
python-feedparser-5.1.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Haïkel Guémar 2012-08-05 04:16:31 EDT
The bugfixes have been pushed to currently supported releases.